#include "BasicLogicGates.h"

AndLogicGate::AndLogicGate(Wire* input0, Wire* input1, Wire* output)
    : TwoInOneOutLogicGate(input0, input1, output)
{

}

OrLogicGate::OrLogicGate(Wire* input0, Wire* input1, Wire* output)
    : TwoInOneOutLogicGate(input0, input1, output)
{

}